TAC(1)

NAME
tac - concatenate and print files in reverse

SYNOPSIS
tac [-br] [-s separator] [--before] [--regex] [--separator=separator] [--help] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of tac. tac copies each given file, or the standard input if none are given or when a file name of `-' is encountered, to the standard output with the order of the records reversed. The records are separated by instances of a string, or a newline if none is given. By default, the separator string is attached to the end of the record that it follows in the file.

  OPTIONS

-b, --before
    The separator is attached to the beginning of the record that it precedes in the file.

-r, --regex
    The separator is a regular expression.

-s string, --separator=string
    Use string as the record separator.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.